// タスクデータを作ろう
const tasks = [
  { id: 1, name: "部屋の後片付け" },
  { id: 2, name: "お買い物" },
]

// タスクデータをDOMに追加しよう

// template要素を取得する
const template = document.getElementById('taskTemplate')

// DOMを追加するための要素を取得する
const tbody = document.getElementById("tasks")

// タスクデータを一つずつループさせる
tasks.forEach((t) => {
  // template要素をコピーする
  const clone = template.content.cloneNode(true)

  // HTMLを取得する
  const tr = clone.querySelector("tr")
  const name = clone.querySelector(".name")

  // trタグにid属性を追加する
  tr.setAttribute("id", t.id)

  // タスク名を変更する
  name.textContent = t.name

  // DOMに追加する
  tbody.appendChild(clone)
})


// タスクを追加しよう

// イベントハンドラを設定しよう
