const tasks = [
  { id: 1, name: "部屋の後片付け" },
  { id: 2, name: "お買い物" },
]

// タスクを削除する関数を定義しよう

// タスクを追加する関数を定義しよう

const template = document.getElementById('taskTemplate')
const tbody = document.getElementById("tasks")

tasks.forEach((t) => {
  const clone = template.content.cloneNode(true)
  const tr = clone.querySelector("tr")
  const name = clone.querySelector(".name")

  tr.setAttribute("id", t.id)
  name.textContent = t.name

  // タスクを削除しよう1
  const deleteButton = clone.querySelector(".delete")
  deleteButton.addEventListener("click", () => {
    const target = document.getElementById(t.id)
    tbody.removeChild(target)

    document.removeEventListener("click", deleteButton)
  })

  tbody.appendChild(clone)
})

const form = document.getElementById('form')
form.addEventListener("submit", (event) => {
  event.preventDefault()

  const input = document.getElementById('input')
  const value = input.value

  if (!value) return

  const task = { id: tasks.length + 1, name: value }

  const clone = template.content.cloneNode(true)
  const tr = clone.querySelector("tr")
  const name = clone.querySelector(".name")

  tr.setAttribute("id", task.id)
  name.textContent = task.name

  // タスクを削除しよう2
  const deleteButton = clone.querySelector(".delete")
  deleteButton.addEventListener("click", () => {
    const target = document.getElementById(task.id)
    tbody.removeChild(target)

    document.removeEventListener("click", deleteButton)
  })

  tbody.appendChild(clone)
})

const deleteAllButton = document.getElementById("deleteAll")
deleteAllButton.addEventListener("click", () => {
  const tbody = document.getElementById("tasks")
  tbody.innerHTML = ""
})
